
From: Sam Ravnborg <sam@ravnborg.org>

From: Herbert Xu <herbert@gondor.apana.org.au>

It seems that the %docs targets only needs scripts_basic.  The following
patch does just that.  This removes its dependency on the existence of a
.config file.


---

 25-akpm/Makefile |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN Makefile~make-%docs-depend-on-scripts_basic Makefile
--- 25/Makefile~make-%docs-depend-on-scripts_basic	2004-04-09 21:05:13.237019176 -0700
+++ 25-akpm/Makefile	2004-04-09 21:05:13.241018568 -0700
@@ -945,7 +945,7 @@ help:
 
 # Documentation targets
 # ---------------------------------------------------------------------------
-%docs: scripts FORCE
+%docs: scripts_basic FORCE
 	$(Q)$(MAKE) $(build)=Documentation/DocBook $@
 
 # Scripts to check various things for consistency

_
